package com.sooka.system.funeral.freeze.service;

import com.sooka.system.funeral.freeze.domain.TGuijiFreeze;

import java.util.List;

/**
 * 市殡葬-冷冻基本信息Service接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface ITGuijiFreezeInforService
{
    /**
     * 查询市殡葬-冷冻基本信息
     *
     * @param id 市殡葬-冷冻基本信息ID
     * @return 市殡葬-冷冻基本信息
     */
    public TGuijiFreeze selectById(String id);

    /**
     * 查询市殡葬-冷冻基本信息列表
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 市殡葬-冷冻基本信息集合
     */
    public List<TGuijiFreeze> selectList(TGuijiFreeze param);

    /**
     * 新增市殡葬-冷冻基本信息
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 结果
     */
    public int insert(TGuijiFreeze param);

    /**
     * 修改市殡葬-冷冻基本信息
     *
     * @param param 市殡葬-冷冻基本信息
     * @return 结果
     */
    public int update(TGuijiFreeze param);

    /**
     * 批量删除市殡葬-冷冻基本信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String ids);

    /**
     * 删除市殡葬-冷冻基本信息信息
     *
     * @param id 市殡葬-冷冻基本信息ID
     * @return 结果
     */
    public int deleteById(String id);
}
